List trails
curl --request GET \
--url https://app.kosli.com/api/v2/trails/{org}/{flow_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/trails/{org}/{flow_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/trails/{org}/{flow_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"last_modified_at": 123,
"created_at": 123,
"compliance_status": {
"is_compliant": true,
"attestations_statuses": [
{
"attestation_name": "<string>",
"attestation_type": "<string>",
"attestation_id": "<string>",
"overridden_attestation_id": "<string>",
"is_compliant": true,
"unexpected": false
}
],
"artifacts_statuses": {},
"evaluated_at": 123,
"flow_template_id": "<string>"
},
"template": {
"trail": {
"attestations": [
{
"name": "<string>",
"type": "<string>"
}
],
"artifacts": [
{
"name": "<string>",
"attestations": [
{
"name": "<string>",
"type": "<string>"
}
]
}
]
},
"version": 1,
"content": "<string>"
},
"is_compliant": true,
"created_by": "<string>",
"flow": {
"name": "<string>",
"tags": {}
},
"html_url": "<string>",
"description": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"origin_url": "<string>",
"user_data": {},
"repo_ids": [
"<string>"
],
"events": [
{}
],
"external_urls": {}
}
],
"pagination": {
"total": 123,
"page": 123,
"per_page": 123,
"page_count": 123
}
}List trails
List Trails of a Flow.
GET
/
trails
/
{org}
/
{flow_name}
List trails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number of response
Required range:
x >= 1How many results to return per page of response
Required range:
1 <= x <= 100Response
200 - application/json
Successful Response
- ListTrails · object
- GetTrail · object[]
Response model for listing Trails with pagination.
When pagination is not requested, returns a list of trails directly. When pagination is requested, returns data with optional pagination info.
Last modified on June 18, 2026
⌘I